package com.ruoyi.nanjing.mapper;

import java.util.List;
import com.ruoyi.nanjing.domain.TBdLinetype;

/**
 * 主支线管理Mapper接口
 * 
 * @author limy
 * @date 2021-01-22
 */
public interface TBdLinetypeMapper 
{
    /**
     * 查询主支线管理
     * 
     * @param LineID 主支线管理ID
     * @return 主支线管理
     */
    public TBdLinetype selectTBdLinetypeById(Long LineID);

    /**
     * 查询主支线管理列表
     * 
     * @param tBdLinetype 主支线管理
     * @return 主支线管理集合
     */
    public List<TBdLinetype> selectTBdLinetypeList(TBdLinetype tBdLinetype);

    /**
     * 新增主支线管理
     * 
     * @param tBdLinetype 主支线管理
     * @return 结果
     */
    public int insertTBdLinetype(TBdLinetype tBdLinetype);

    /**
     * 修改主支线管理
     * 
     * @param tBdLinetype 主支线管理
     * @return 结果
     */
    public int updateTBdLinetype(TBdLinetype tBdLinetype);

    /**
     * 删除主支线管理
     * 
     * @param LineID 主支线管理ID
     * @return 结果
     */
    public int deleteTBdLinetypeById(Long LineID);

    /**
     * 批量删除主支线管理
     * 
     * @param LineIDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBdLinetypeByIds(String[] LineIDs);
}
